Retrieve DPU Machines attached to a host Machine

View as Markdown
Retrieve DPU Machines attached to the host Machine, including network configuration fields exposed by the REST API. Internal-only and sensitive fields from the Core configuration are omitted. The response is built by scheduling a synchronous Temporal `GetDpuMachines` workflow against the Machine's Site for the DPU Machine IDs referenced by the host Machine's interfaces. **Authorization:** Access is restricted to users associated with the Machine's Site. Either of the following grants access: * The caller's org has an Infrastructure Provider entity that owns the Machine's Site, and the user has authorization role with `PROVIDER_ADMIN` suffix on that org. * The caller's org has a Tenant entity with `TargetedInstanceCreation` enabled and an active Tenant Account on the Machine's Site's Infrastructure Provider, and the user has authorization role with `TENANT_ADMIN` suffix on that org.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
machineIdstringRequired
ID of the host Machine

Response

OK
idstring
ID of the DPU Machine
infrastructureProviderIdstringformat: "uuid"
ID of the Infrastructure Provider that owns the host Machine
siteIdstringformat: "uuid"
ID of the Site that the host Machine belongs to
hostMachineIdstring
ID of the host Machine that this DPU is attached to
statestring
Lifecycle state of the DPU
dpuNetworkConfigobject
Network configuration fields exposed by the REST API
dpuAgentVersionstringOptional
Version of the DPU agent running on the DPU
bmcInfoobjectOptional

BMC (Baseboard Management Controller) information for the DPU

dmiDataobjectOptional

DMI (Desktop Management Interface) data reported for the DPU

interfaceslist of objectsOptional
Interfaces reported on the DPU
softwareComponentslist of objectsOptional
Software components reported on the DPU
healthobjectOptional
Health information for the DPU
labelsmap from strings to stringsOptional
Labels associated with the DPU
lastRebooteddatetime or nullOptional
Last reboot timestamp
placementInRackobjectOptional
Physical placement of the DPU Machine within its Rack, when known

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error